package cn.com.tenlion.systembase.pojo.dtos.institution;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 *
 * @ClassName: InstitutionDTO
 * @Description: 综治机构
 * @Author: CodeFactory
 * @Date: 2021-10-11 17:24:40
 * @Version: 3.0
 **/
@ApiModel
public class InstitutionDTO {

    @ApiModelProperty(name = "institutionId", value = "综治机构ID")
    private String institutionId;
    @ApiModelProperty(name = "institutionName", value = "机构名称")
    private String institutionName;
    @ApiModelProperty(name = "institutionTypeId", value = "机构类型ID")
    private String institutionTypeId;
    @ApiModelProperty(name = "institutionTypeText", value = "机构类型中文")
    private String institutionTypeText;
    @ApiModelProperty(name = "institutionLevelId", value = "机构等级ID")
    private String institutionLevelId;
    @ApiModelProperty(name = "institutionLevelText", value = "机构类型中文")
    private String institutionLevelText;
    @ApiModelProperty(name = "creator", value = "创建人")
    private String creator;
    @ApiModelProperty(name = "gmtCreate", value = "创建时间")
    private String gmtCreate;
    @ApiModelProperty(name = "modifier", value = "修改人")
    private String modifier;
    @ApiModelProperty(name = "gmtModified", value = "修改时间")
    private String gmtModified;
    @ApiModelProperty(name = "location", value = "所在地")
    private String location;
    @ApiModelProperty(name = "locationCode", value = "所在地编码")
    private String locationCode;
    @ApiModelProperty(name = "grid", value = "所属网格")
    private String grid;
    @ApiModelProperty(name = "gridName", value = "所属网格")
    private String gridName;


    public String getInstitutionId() {
        return institutionId;
    }

    public void setInstitutionId(String institutionId) {
        this.institutionId = institutionId;
    }

    public String getInstitutionName() {
        return institutionName;
    }

    public void setInstitutionName(String institutionName) {
        this.institutionName = institutionName;
    }

    public String getInstitutionTypeId() {
        return institutionTypeId;
    }

    public void setInstitutionTypeId(String institutionTypeId) {
        this.institutionTypeId = institutionTypeId;
    }

    public String getInstitutionTypeText() {
        return institutionTypeText;
    }

    public void setInstitutionTypeText(String institutionTypeText) {
        this.institutionTypeText = institutionTypeText;
    }

    public String getInstitutionLevelId() {
        return institutionLevelId;
    }

    public void setInstitutionLevelId(String institutionLevelId) {
        this.institutionLevelId = institutionLevelId;
    }

    public String getInstitutionLevelText() {
        return institutionLevelText;
    }

    public void setInstitutionLevelText(String institutionLevelText) {
        this.institutionLevelText = institutionLevelText;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getGmtCreate() {
        return gmtCreate;
    }

    public void setGmtCreate(String gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public String getModifier() {
        return modifier;
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    public String getGmtModified() {
        return gmtModified;
    }

    public void setGmtModified(String gmtModified) {
        this.gmtModified = gmtModified;
    }

    public String getLocation() {
        return location;
    }

    public void setLocation(String location) {
        this.location = location;
    }

    public String getLocationCode() {
        return locationCode;
    }

    public void setLocationCode(String locationCode) {
        this.locationCode = locationCode;
    }

    public String getGrid() {
        return grid;
    }

    public void setGrid(String grid) {
        this.grid = grid;
    }

    public String getGridName() {
        return gridName;
    }

    public void setGridName(String gridName) {
        this.gridName = gridName;
    }
}
